Index: flashchips.c
===================================================================
--- flashchips.c	(revision 1049)
+++ flashchips.c	(working copy)
@@ -2332,6 +2332,37 @@
 	},
 
 	{
+		.vendor		= "Hyundai",
+		.name		= "HY29F002T",
+		.bustype	= CHIP_BUSTYPE_PARALLEL,
+		.manufacture_id	= HYUNDAI_ID,
+		.model_id	= HY_29F002T,
+		.total_size	= 256,
+		.page_size	= 256 * 1024,
+                .feature_bits   = FEATURE_SHORT_RESET,
+		.tested		= TEST_OK_PREW,
+		.probe		= probe_jedec,
+		.probe_timing	= TIMING_ZERO,
+		.block_erasers	=
+		{
+			{
+				.eraseblocks = {
+					{64 * 1024, 3},
+					{32 * 1024, 1},
+					{8 * 1024, 2},
+					{16 * 1024, 1},
+				},
+				.block_erase = erase_sector_jedec,
+			}, {
+				.eraseblocks = { {256 * 1024, 1} },
+				.block_erase = erase_chip_block_jedec,
+			},
+		},                      
+		.write		= write_jedec_1,
+		.read		= read_memmapped,
+	},
+
+	{
 		.vendor		= "Intel",
 		.name		= "28F001BX-B",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
Index: flashchips.h
===================================================================
--- flashchips.h	(revision 1049)
+++ flashchips.h	(working copy)
@@ -241,7 +241,8 @@
 #define HY_29LV800B		0x5B
 #define HY_29F040A		0xA4
 #define HY_29F400B		0xAB	/* Same as HY_29F400AB */
-#define HY_29F002		0xB0
+#define HY_29F002B              0x34
+#define HY_29F002T		0xB0
 #define HY_29LV400T		0xB9
 #define HY_29LV400B		0xBA
 #define HY_29F080		0xD5
